Bug 1466701 - Cannot upgrade OSP11 to OSP12: Overcloud upgrade failed: "Failed to apply catalog: Execution of '/usr/bin/mysql --defaults-extra-file=/root/.my.cnf -NBe SELECT CONCAT(User, '@',Host) AS User FROM mysql.user' returned 1: ERROR 2013 (HY000):"
Cannot upgrade OSP11 to OSP12: Overcloud upgrade failed: "Failed to apply cat...
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
12.0 (Pike)
x86_64 Linux
high Severity high
: rc
: ---
Assigned To: Carlos Camacho
Amit Ugol
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-30 05:40 EDT by Artem Hrechanychenko
Modified: 2017-10-30 09:39 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-30 09:39:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Artem Hrechanychenko 2017-06-30 05:40:16 EDT
Description of problem:
overcloud.AllNodesDeploySteps.AllNodesPostUpgradeSteps.ControllerDeployment_Step2.0:
  resource_type: OS::Heat::StructuredDeployment
  physical_resource_id: 355d383d-3a13-4849-9921-b5d7bdb9f745
  status: CREATE_FAILED
  status_reason: |
    Error: resources[0]: Deployment to server failed: deploy_status_code : Deployment exited with non-zero status code: 2
  deploy_stdout: |
    
    PLAY [localhost] ***************************************************************
    
    TASK [Gathering Facts] *********************************************************
    ok: [localhost]
    
    TASK [Write the config_step hieradata] *****************************************
    changed: [localhost]
    
    TASK [Run puppet host configuration for step 2] ********************************
    changed: [localhost]
    
    TASK [Run docker-puppet tasks (generate config)] *******************************
    skipping: [localhost]
    
    TASK [Check if /var/lib/hashed-tripleo-config/docker-container-startup-config-step_2.json exists] ***
    ok: [localhost]
    
    TASK [Start containers for step 2] *********************************************
    ok: [localhost]
    
    TASK [Run docker-puppet tasks (bootstrap tasks)] *******************************
    fatal: [localhost]: FAILED! => {"changed": false, "cmd": "python /var/lib/docker-puppet/docker-puppet.py", "delta": "0:00:09.489466", "end": "2017-06-30 09:12:37.983065", "failed": true, "rc": 1, "start": "2017-06-30 09:12:28.493599", "stderr": "", "stderr_lines": [], "stdout": "2017-06-30 09:12:28,539 INFO: Running docker-puppet\n2017-06-30 09:12:28,539 DEBUG: CONFIG: /var/lib/docker-puppet/docker-puppet-tasks2.json\n2017-06-30 09:12:28,540 DEBUG: config_volume mongodb_init_tasks\n2017-06-30 09:12:28,540 DEBUG: puppet_tags mongodb_database,mongodb_user,mongodb_replset\n2017-06-30 09:12:28,540 DEBUG: manifest include ::tripleo::profile::base::database::mongodb\n2017-06-30 09:12:28,540 DEBUG: config_image docker-registry.engineering.redhat.com/rhosp12/openstack-mongodb-docker:2017-06-27.2\n2017-06-30 09:12:28,540 DEBUG: volumes [u'/var/lib/mongodb:/var/lib/mongodb', u'/var/log/containers/mongodb:/var/log/mongodb']\n2017-06-30 09:12:28,540 INFO: Adding new service\n2017-06-30 09:12:28,540 DEBUG: config_volume mysql_init_tasks\n2017-06-30 09:12:28,540 DEBUG: puppet_tags mysql_database,mysql_grant,mysql_user\n2017-06-30 09:12:28,540 DEBUG: manifest include ::tripleo::profile::base::database::mysql\n2017-06-30 09:12:28,540 DEBUG: config_image docker-registry.engineering.redhat.com/rhosp12/openstack-mariadb-docker:2017-06-27.2\n2017-06-30 09:12:28,541 DEBUG: volumes [u'/var/lib/mysql:/var/lib/mysql/:ro', u'/var/log/containers/mysql:/var/log/mariadb', u'/var/lib/config-data/mysql/root:/root:ro']\n2017-06-30 09:12:28,541 INFO: Adding new service\n2017-06-30 09:12:28,541 INFO: Service compilation completed.\n2017-06-30 09:12:28,541 DEBUG: - [u'mysql_init_tasks', u'file,file_line,concat,augeas,mysql_database,mysql_grant,mysql_user', u'include ::tripleo::profile::base::database::mysql', u'docker-registry.engineering.redhat.com/rhosp12/openstack-mariadb-docker:2017-06-27.2', [u'/var/lib/mysql:/var/lib/mysql/:ro', u'/var/log/containers/mysql:/var/log/mariadb', u'/var/lib/config-data/mysql/root:/root:ro']]\n2017-06-30 09:12:28,541 DEBUG: - [u'mongodb_init_tasks', u'file,file_line,concat,augeas,mongodb_database,mongodb_user,mongodb_replset', u'include ::tripleo::profile::base::database::mongodb', u'docker-registry.engineering.redhat.com/rhosp12/openstack-mongodb-docker:2017-06-27.2', [u'/var/lib/mongodb:/var/lib/mongodb', u'/var/log/containers/mongodb:/var/log/mongodb']]\n2017-06-30 09:12:28,553 DEBUG: config_volume mysql_init_tasks\n2017-06-30 09:12:28,554 DEBUG: config_volume mongodb_init_tasks\n2017-06-30 09:12:28,554 DEBUG: puppet_tags file,file_line,concat,augeas,mysql_database,mysql_grant,mysql_user\n2017-06-30 09:12:28,554 DEBUG: manifest include ::tripleo::profile::base::database::mysql\n2017-06-30 09:12:28,554 DEBUG: puppet_tags file,file_line,concat,augeas,mongodb_database,mongodb_user,mongodb_replset\n2017-06-30 09:12:28,554 DEBUG: config_image docker-registry.engineering.redhat.com/rhosp12/openstack-mariadb-docker:2017-06-27.2\n2017-06-30 09:12:28,554 DEBUG: manifest include ::tripleo::profile::base::database::mongodb\n2017-06-30 09:12:28,554 DEBUG: volumes [u'/var/lib/mysql:/var/lib/mysql/:ro', u'/var/log/containers/mysql:/var/log/mariadb', u'/var/lib/config-data/mysql/root:/root:ro']\n2017-06-30 09:12:28,554 DEBUG: config_image docker-registry.engineering.redhat.com/rhosp12/openstack-mongodb-docker:2017-06-27.2\n2017-06-30 09:12:28,554 DEBUG: volumes [u'/var/lib/mongodb:/var/lib/mongodb', u'/var/log/containers/mongodb:/var/log/mongodb']\n2017-06-30 09:12:28,555 INFO: Removing container: docker-puppet-mysql_init_tasks\n2017-06-30 09:12:28,555 INFO: Removing container: docker-puppet-mongodb_init_tasks\n2017-06-30 09:12:28,572 INFO: Pulling image: docker-registry.engineering.redhat.com/rhosp12/openstack-mongodb-docker:2017-06-27.2\n2017-06-30 09:12:28,574 INFO: Pulling image: docker-registry.engineering.redhat.com/rhosp12/openstack-mariadb-docker:2017-06-27.2\n2017-06-30 09:12:28,800 DEBUG: Trying to pull repository docker-registry.engineering.redhat.com/rhosp12/openstack-mariadb-docker ... \n2017-06-27.2: Pulling from docker-registry.engineering.redhat.com/rhosp12/openstack-mariadb-docker\nd54f13d5264d: Already exists\n1ebf49bc2042: Already exists\n8a168c68395f: Already exists\nb3bd83e666e0: Already exists\nDigest: sha256:dc74bd7d1063f6c1031b0f3c644195ca766283a856cc523144c94954a70906ea\n\n2017-06-30 09:12:28,803 DEBUG: NET_HOST enabled\n2017-06-30 09:12:28,803 DEBUG: Running docker command: /usr/bin/docker run --user root --name docker-puppet-mysql_init_tasks --env PUPPET_TAGS=file,file_line,concat,augeas,mysql_database,mysql_grant,mysql_user --env NAME=mysql_init_tasks --env HOSTNAME=controller-0 --env NO_ARCHIVE=true --env STEP=2 --volume /tmp/tmpd4ycR6:/etc/config.pp:ro --volume /etc/puppet/:/tmp/puppet-etc/:ro --volume /usr/share/openstack-puppet/modules/:/usr/share/openstack-puppet/modules/:ro --volume /var/lib/config-data/:/var/lib/config-data/:rw --volume tripleo_logs:/var/log/tripleo/ --volume /etc/pki/ca-trust/extracted:/etc/pki/ca-trust/extracted:ro --volume /etc/pki/tls/certs/ca-bundle.crt:/etc/pki/tls/certs/ca-bundle.crt:ro --volume /etc/pki/tls/certs/ca-bundle.trust.crt:/etc/pki/tls/certs/ca-bundle.trust.crt:ro --volume /etc/pki/tls/cert.pem:/etc/pki/tls/cert.pem:ro --volume /var/lib/docker-puppet/docker-puppet.sh:/var/lib/docker-puppet/docker-puppet.sh:rw --volume /var/lib/mysql:/var/lib/mysql/:ro --volume /var/log/containers/mysql:/var/log/mariadb --volume /var/lib/config-data/mysql/root:/root:ro --entrypoint /var/lib/docker-puppet/docker-puppet.sh --net host --volume /etc/hosts:/etc/hosts:ro docker-registry.engineering.redhat.com/rhosp12/openstack-mariadb-docker:2017-06-27.2\n2017-06-30 09:12:28,809 DEBUG: Trying to pull repository docker-registry.engineering.redhat.com/rhosp12/openstack-mongodb-docker ... \n2017-06-27.2: Pulling from docker-registry.engineering.redhat.com/rhosp12/openstack-mongodb-docker\nd54f13d5264d: Already exists\n1ebf49bc2042: Already exists\n8a168c68395f: Already exists\n2b7a3440acb0: Already exists\nDigest: sha256:cf3138106a6345fd25d93e461b190891842e8ac17a54b3f0a4eac1164e53e66a\n\n2017-06-30 09:12:28,811 DEBUG: NET_HOST enabled\n2017-06-30 09:12:28,812 DEBUG: Running docker command: /usr/bin/docker run --user root --name docker-puppet-mongodb_init_tasks --env PUPPET_TAGS=file,file_line,concat,augeas,mongodb_database,mongodb_user,mongodb_replset --env NAME=mongodb_init_tasks --env HOSTNAME=controller-0 --env NO_ARCHIVE=true --env STEP=2 --volume /tmp/tmpg3Yiwk:/etc/config.pp:ro --volume /etc/puppet/:/tmp/puppet-etc/:ro --volume /usr/share/openstack-puppet/modules/:/usr/share/openstack-puppet/modules/:ro --volume /var/lib/config-data/:/var/lib/config-data/:rw --volume tripleo_logs:/var/log/tripleo/ --volume /etc/pki/ca-trust/extracted:/etc/pki/ca-trust/extracted:ro --volume /etc/pki/tls/certs/ca-bundle.crt:/etc/pki/tls/certs/ca-bundle.crt:ro --volume /etc/pki/tls/certs/ca-bundle.trust.crt:/etc/pki/tls/certs/ca-bundle.trust.crt:ro --volume /etc/pki/tls/cert.pem:/etc/pki/tls/cert.pem:ro --volume /var/lib/docker-puppet/docker-puppet.sh:/var/lib/docker-puppet/docker-puppet.sh:rw --volume /var/lib/mongodb:/var/lib/mongodb --volume /var/log/containers/mongodb:/var/log/mongodb --entrypoint /var/lib/docker-puppet/docker-puppet.sh --net host --volume /etc/hosts:/etc/hosts:ro docker-registry.engineering.redhat.com/rhosp12/openstack-mongodb-docker:2017-06-27.2\n2017-06-30 09:12:35,339 DEBUG: \u001b[0;32mInfo: Loading facts\u001b[0m\n\u001b[0;32mInfo: Loading facts\u001b[0m\n\u001b[0;32mInfo: Loading facts\u001b[0m\n\u001b[0;32mInfo: Loading facts\u001b[0m\n\u001b[0;32mInfo: Loading facts\u001b[0m\n\u001b[0;32mInfo: Loading facts\u001b[0m\n\u001b[0;32mInfo: Loading facts\u001b[0m\n\u001b[0;32mInfo: Loading facts\u001b[0m\n\u001b[0;32mInfo: Loading facts\u001b[0m\n\u001b[0;32mInfo: Loading facts\u001b[0m\n\u001b[0;32mInfo: Loading facts\u001b[0m\n\u001b[0;32mInfo: Loading facts\u001b[0m\n\u001b[0;32mInfo: Loading facts\u001b[0m\n\u001b[0;32mInfo: Loading facts\u001b[0m\n\u001b[0;32mInfo: Loading facts\u001b[0m\n\u001b[0;32mInfo: Loading facts\u001b[0m\n\u001b[0;32mInfo: Loading facts\u001b[0m\n\u001b[0;32mInfo: Loading facts\u001b[0m\n\u001b[0;32mInfo: Loading facts\u001b[0m\n\u001b[0;32mInfo: Loading facts\u001b[0m\n\u001b[0;32mInfo: Loading facts\u001b[0m\n\u001b[0;32mInfo: Loading facts\u001b[0m\n\u001b[0;32mInfo: Loading facts\u001b[0m\n\u001b[mNotice: hiera(): Cannot load backend module_data: cannot load such file -- hiera/backend/module_data_backend\u001b[0m\n\u001b[mNotice: hiera(): Cannot load backend module_data: cannot load such file -- hiera/backend/module_data_backend\u001b[0m\n\u001b[mNotice: Compiled catalog for controller-0.localdomain in environment production in 0.83 seconds\u001b[0m\n\u001b[0;32mInfo: Applying configuration version '1498813954'\u001b[0m\n\u001b[0;32mInfo: Computing checksum on file /etc/mongod.conf\u001b[0m\n\u001b[0;32mInfo: /Stage[main]/Mongodb::Server::Config/File[/etc/mongod.conf]: Filebucketed /etc/mongod.conf to puppet with sum c9466bad2ec40e2613630b7d49d58b2b\u001b[0m\n\u001b[mNotice: /Stage[main]/Mongodb::Server::Config/File[/etc/mongod.conf]/content: content changed '{md5}c9466bad2ec40e2613630b7d49d58b2b' to '{md5}7e9669c2c33723c5964b91df0e1b4755'\u001b[0m\n\u001b[mNotice: /Stage[main]/Mongodb::Server::Config/File[/var/run/mongodb/mongod.pid]/ensure: created\u001b[0m\n\u001b[0;32mInfo: Class[Mongodb::Server::Config]: Unscheduling all events on Class[Mongodb::Server::Config]\u001b[0m\n\u001b[mNotice: /Stage[main]/Tripleo::Profile::Base::Database::Mongodb/Systemd::Service_limits[mongod.service]/File[/etc/systemd/system/mongod.service.d/]/ensure: created\u001b[0m\n\u001b[mNotice: /Stage[main]/Tripleo::Profile::Base::Database::Mongodb/Systemd::Service_limits[mongod.service]/File[/etc/systemd/system/mongod.service.d/limits.conf]/ensure: defined content as '{md5}5c81d0af88ac88fa15ef89c324144802'\u001b[0m\n\u001b[0;32mInfo: /Stage[main]/Tripleo::Profile::Base::Database::Mongodb/Systemd::Service_limits[mongod.service]/File[/etc/systemd/system/mongod.service.d/limits.conf]: Scheduling refresh of Exec[systemctl-daemon-reload]\u001b[0m\n\u001b[0;32mInfo: /Stage[main]/Tripleo::Profile::Base::Database::Mongodb/Systemd::Service_limits[mongod.service]/File[/etc/systemd/system/mongod.service.d/limits.conf]: Scheduling refresh of Exec[systemctl restart mongod.service]\u001b[0m\n\u001b[0;32mInfo: /Stage[main]/Systemd/Exec[systemctl-daemon-reload]: Unscheduling all events on Exec[systemctl-daemon-reload]\u001b[0m\n\u001b[0;32mInfo: /Stage[main]/Tripleo::Profile::Base::Database::Mongodb/Systemd::Service_limits[mongod.service]/Exec[systemctl restart mongod.service]: Unscheduling all events on Exec[systemctl restart mongod.service]\u001b[0m\n\u001b[0;32mInfo: Systemd::Service_limits[mongod.service]: Unscheduling all events on Systemd::Service_limits[mongod.service]\u001b[0m\n\u001b[0;32mInfo: Creating state file /var/lib/puppet/state/state.yaml\u001b[0m\n\u001b[mNotice: Applied catalog in 0.16 seconds\u001b[0m\n\n2017-06-30 09:12:35,339 DEBUG: + mkdir -p /etc/puppet\n+ cp -a /tmp/puppet-etc/auth.conf /tmp/puppet-etc/hiera.yaml /tmp/puppet-etc/hieradata /tmp/puppet-etc/modules /tmp/puppet-etc/puppet.conf /tmp/puppet-etc/ssl /etc/puppet\n+ rm -Rf /etc/puppet/ssl\n+ echo '{\"step\": 2}'\n+ TAGS=\n+ '[' -n file,file_line,concat,augeas,mongodb_database,mongodb_user,mongodb_replset ']'\n+ TAGS='--tags file,file_line,concat,augeas,mongodb_database,mongodb_user,mongodb_replset'\n+ mkdir -p /etc/ssh\n+ touch /etc/ssh/ssh_known_hosts\n+ FACTER_hostname=controller-0\n+ FACTER_uuid=docker\n+ /usr/bin/puppet apply --verbose --tags file,file_line,concat,augeas,mongodb_database,mongodb_user,mongodb_replset /etc/config.pp\nFailed to get D-Bus connection: Operation not permitted\nexception: connect failed\n\u001b[1;33mWarning: Undefined variable 'deploy_config_name'; \n   (file & line not available)\u001b[0m\n\u001b[1;33mWarning: ModuleLoader: module 'mongodb' has unresolved dependencies - it will only see those that are resolved. Use 'puppet module list --tree' to see information about modules\n   (file & line not available)\u001b[0m\n\u001b[1;33mWarning: Scope(Class[Mongodb::Server]): Replset specified, but no replset_members or replset_config provided.\u001b[0m\n\u001b[1;33mWarning: This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Hash. There is further documentation for validate_legacy function in the README. at [\"/etc/puppet/modules/systemd/manifests/service_limits.pp\", 13]:\n   (at /etc/puppet/modules/stdlib/lib/puppet/functions/deprecation.rb:25:in `deprecation')\u001b[0m\n+ '[' -z true ']'\n\n2017-06-30 09:12:35,339 INFO: Removing container: docker-puppet-mongodb_init_tasks\n2017-06-30 09:12:35,371 DEBUG: docker-puppet-mongodb_init_tasks\n\n2017-06-30 09:12:37,936 DEBUG: \u001b[0;32mInfo: Loading facts\u001b[0m\n\u001b[0;32mInfo: Loading facts\u001b[0m\n\u001b[0;32mInfo: Loading facts\u001b[0m\n\u001b[0;32mInfo: Loading facts\u001b[0m\n\u001b[0;32mInfo: Loading facts\u001b[0m\n\u001b[0;32mInfo: Loading facts\u001b[0m\n\u001b[0;32mInfo: Loading facts\u001b[0m\n\u001b[0;32mInfo: Loading facts\u001b[0m\n\u001b[0;32mInfo: Loading facts\u001b[0m\n\u001b[0;32mInfo: Loading facts\u001b[0m\n\u001b[0;32mInfo: Loading facts\u001b[0m\n\u001b[0;32mInfo: Loading facts\u001b[0m\n\u001b[0;32mInfo: Loading facts\u001b[0m\n\u001b[0;32mInfo: Loading facts\u001b[0m\n\u001b[0;32mInfo: Loading facts\u001b[0m\n\u001b[0;32mInfo: Loading facts\u001b[0m\n\u001b[0;32mInfo: Loading facts\u001b[0m\n\u001b[0;32mInfo: Loading facts\u001b[0m\n\u001b[0;32mInfo: Loading facts\u001b[0m\n\u001b[0;32mInfo: Loading facts\u001b[0m\n\u001b[0;32mInfo: Loading facts\u001b[0m\n\u001b[0;32mInfo: Loading facts\u001b[0m\n\u001b[0;32mInfo: Loading facts\u001b[0m\n\u001b[mNotice: hiera(): Cannot load backend module_data: cannot load such file -- hiera/backend/module_data_backend\u001b[0m\n\u001b[mNotice: hiera(): Cannot load backend module_data: cannot load such file -- hiera/backend/module_data_backend\u001b[0m\n\u001b[mNotice: Compiled catalog for controller-0.localdomain in environment production in 3.39 seconds\u001b[0m\n\u001b[0;32mInfo: Applying configuration version '1498813953'\u001b[0m\n\u001b[0;32mInfo: Computing checksum on file /etc/my.cnf.d/galera.cnf\u001b[0m\n\u001b[0;32mInfo: /Stage[main]/Mysql::Server::Config/File[mysql-config-file]: Filebucketed /etc/my.cnf.d/galera.cnf to puppet with sum f434e1d5766874c7b9ed08d0c66904ca\u001b[0m\n\u001b[mNotice: /Stage[main]/Mysql::Server::Config/File[mysql-config-file]/content: content changed '{md5}f434e1d5766874c7b9ed08d0c66904ca' to '{md5}c4725663b4db84ba8f53e3a39b4a9422'\u001b[0m\n\u001b[0;32mInfo: Class[Mysql::Server::Config]: Unscheduling all events on Class[Mysql::Server::Config]\u001b[0m\n\u001b[0;32mInfo: Creating state file /var/lib/puppet/state/state.yaml\u001b[0m\n\n2017-06-30 09:12:37,936 DEBUG: + mkdir -p /etc/puppet\n+ cp -a /tmp/puppet-etc/auth.conf /tmp/puppet-etc/hiera.yaml /tmp/puppet-etc/hieradata /tmp/puppet-etc/modules /tmp/puppet-etc/puppet.conf /tmp/puppet-etc/ssl /etc/puppet\n+ rm -Rf /etc/puppet/ssl\n+ echo '{\"step\": 2}'\n+ TAGS=\n+ '[' -n file,file_line,concat,augeas,mysql_database,mysql_grant,mysql_user ']'\n+ TAGS='--tags file,file_line,concat,augeas,mysql_database,mysql_grant,mysql_user'\n+ mkdir -p /etc/ssh\n+ touch /etc/ssh/ssh_known_hosts\n+ FACTER_hostname=controller-0\n+ FACTER_uuid=docker\n+ /usr/bin/puppet apply --verbose --tags file,file_line,concat,augeas,mysql_database,mysql_grant,mysql_user /etc/config.pp\nFailed to get D-Bus connection: Operation not permitted\n\u001b[1;33mWarning: Undefined variable 'deploy_config_name'; \n   (file & line not available)\u001b[0m\n\u001b[1;33mWarning: This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Hash. There is further documentation for validate_legacy function in the README. at [\"/etc/puppet/modules/tripleo/manifests/profile/base/database/mysql.pp\", 92]:[\"/etc/config.pp\", 2]\n   (at /etc/puppet/modules/stdlib/lib/puppet/functions/deprecation.rb:25:in `deprecation')\u001b[0m\n\u001b[1;33mWarning: ModuleLoader: module 'mysql' has unresolved dependencies - it will only see those that are resolved. Use 'puppet module list --tree' to see information about modules\n   (file & line not available)\u001b[0m\n\u001b[1;33mWarning: This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::String. There is further documentation for validate_legacy function in the README. at [\"/etc/puppet/modules/aodh/manifests/db/mysql.pp\", 58]:[\"/etc/puppet/modules/tripleo/manifests/profile/base/database/mysql.pp\", 157]\n   (at /etc/puppet/modules/stdlib/lib/puppet/functions/deprecation.rb:25:in `deprecation')\u001b[0m\n\u001b[1;33mWarning: Unknown variable: '::nova::db::mysql_api::setup_cell0'. at /etc/puppet/modules/nova/manifests/db/mysql.pp:53:28\u001b[0m\n\u001b[1;33mWarning: ModuleLoader: module 'openstacklib' has unresolved dependencies - it will only see those that are resolved. Use 'puppet module list --tree' to see information about modules\n   (file & line not available)\u001b[0m\n\u001b[1;33mWarning: This method is deprecated, please use the stdlib validate_legacy function, with Pattern[]. There is further documentation for validate_legacy function in the README. at [\"/etc/puppet/modules/openstacklib/manifests/db/mysql/host_access.pp\", 43]:\n   (at /etc/puppet/modules/stdlib/lib/puppet/functions/deprecation.rb:25:in `deprecation')\u001b[0m\n\u001b[1;31mError: Failed to apply catalog: Execution of '/usr/bin/mysql --defaults-extra-file=/root/.my.cnf -NBe SELECT CONCAT(User, '@',Host) AS User FROM mysql.user' returned 1: ERROR 2013 (HY000): Lost connection to MySQL server at 'reading initial communication packet', system error: 104\u001b[0m\n\n2017-06-30 09:12:37,936 ERROR: Failed running docker-puppet.py for mysql_init_tasks\n2017-06-30 09:12:37,937 ERROR: ERROR configuring mysql_init_tasks\n2017-06-30 09:12:37,937 DEBUG: CONFIG_VOLUME_PREFIX: /var/lib/config-data\n2017-06-30 09:12:37,938 DEBUG: STARTUP_CONFIG_PATTERN: /var/lib/tripleo-config/docker-container-startup-config-step_*.json\n2017-06-30 09:12:37,939 DEBUG: Updating config hash for redis, config_volume=redis hash=f89820a28dde6454aca40eb7bd4157cb\n2017-06-30 09:12:37,940 DEBUG: Updating config hash for rabbitmq, config_volume=rabbitmq hash=bea3a2bdc61aced9918882174fe369a7\n2017-06-30 09:12:37,940 DEBUG: Updating config hash for memcached_init_logs, config_volume=memcached hash=5d129fec1e7d9ba199e8caa09976b4cd\n2017-06-30 09:12:37,940 DEBUG: Updating config hash for rabbitmq_bootstrap, config_volume=rabbitmq hash=bea3a2bdc61aced9918882174fe369a7\n2017-06-30 09:12:37,940 DEBUG: Updating config hash for memcached, config_volume=memcached hash=5d129fec1e7d9ba199e8caa09976b4cd\n2017-06-30 09:12:37,942 DEBUG: Updating config hash for nova_placement, config_volume=nova_placement hash=b6781503744c4cf19907438e01d6fc97\n2017-06-30 09:12:37,942 DEBUG: Updating config hash for aodh_db_sync, config_volume=aodh hash=c19d3bfd95b7134c11573a432826d31b\n2017-06-30 09:12:37,942 DEBUG: Updating config hash for nova_db_sync, config_volume=nova hash=6ea8bd5b880cae08fd0e5f2e91f91c87\n2017-06-30 09:12:37,942 DEBUG: Updating config hash for heat_engine_db_sync, config_volume=heat hash=91f4ff6144fb9c99b8257024bea9aa34\n2017-06-30 09:12:37,942 DEBUG: Updating config hash for cinder_api_db_sync, config_volume=cinder hash=a8e2c9558c44d603380e0e68e353ae04\n2017-06-30 09:12:37,942 DEBUG: Updating config hash for nova_api_map_cell0, config_volume=nova hash=6ea8bd5b880cae08fd0e5f2e91f91c87\n2017-06-30 09:12:37,943 DEBUG: Updating config hash for glance_api_db_sync, config_volume=glance_api hash=eac80366ed445b05ba10c83a3c4715a6\n2017-06-30 09:12:37,943 DEBUG: Updating config hash for keystone_db_sync, config_volume=keystone hash=77afe4285368405fc13026b20c3d0820\n2017-06-30 09:12:37,943 DEBUG: Updating config hash for panko_db_sync, config_volume=panko hash=102f12a07c8235711540e0ca60ddce94\n2017-06-30 09:12:37,943 DEBUG: Updating config hash for keystone, config_volume=keystone hash=77afe4285368405fc13026b20c3d0820\n2017-06-30 09:12:37,943 DEBUG: Updating config hash for nova_api_db_sync, config_volume=nova hash=6ea8bd5b880cae08fd0e5f2e91f91c87\n2017-06-30 09:12:37,943 DEBUG: Updating config hash for horizon, config_volume=horizon hash=04f75fe86bda4d6b60e516d991896690\n2017-06-30 09:12:37,944 DEBUG: Updating config hash for nova_api_create_default_cell, config_volume=nova hash=6ea8bd5b880cae08fd0e5f2e91f91c87\n2017-06-30 09:12:37,944 DEBUG: Updating config hash for gnocchi_db_sync, config_volume=gnocchi hash=757d377771cfe3b452fb2b5f1ae7a0ec\n2017-06-30 09:12:37,944 DEBUG: Updating config hash for neutron_db_sync, config_volume=neutron hash=a8cada88997ba7a77869d19bd08a8e13\n2017-06-30 09:12:37,945 DEBUG: Updating config hash for mongodb, config_volume=mongodb hash=adb88719e8421d9e1519942cafb204e0\n2017-06-30 09:12:37,946 DEBUG: Updating config hash for mysql, config_volume=mysql hash=8e4e0405c57aa8531b9dbb5e777dbbb4\n2017-06-30 09:12:37,946 DEBUG: Updating config hash for mysql_bootstrap, config_volume=mysql hash=8e4e0405c57aa8531b9dbb5e777dbbb4\n2017-06-30 09:12:37,946 DEBUG: Updating config hash for horizon_fix_perms, config_volume=horizon hash=04f75fe86bda4d6b60e516d991896690\n2017-06-30 09:12:37,947 DEBUG: Updating config hash for nova_api_discover_hosts, config_volume=nova hash=6ea8bd5b880cae08fd0e5f2e91f91c87\n2017-06-30 09:12:37,947 DEBUG: Updating config hash for ceilometer_gnocchi_upgrade, config_volume=ceilometer hash=b2ef982ce3acf4eefffc560ed8158ff4\n2017-06-30 09:12:37,948 DEBUG: Updating config hash for aodh_evaluator, config_volume=aodh hash=c19d3bfd95b7134c11573a432826d31b\n2017-06-30 09:12:37,949 DEBUG: Updating config hash for swift_container_updater, config_volume=swift hash=450eafbeb9839a9ab852fe351476f001\n2017-06-30 09:12:37,949 DEBUG: Updating config hash for nova_scheduler, config_volume=nova hash=6ea8bd5b880cae08fd0e5f2e91f91c87\n2017-06-30 09:12:37,949 DEBUG: Updating config hash for swift_object_server, config_volume=swift hash=450eafbeb9839a9ab852fe351476f001\n2017-06-30 09:12:37,949 DEBUG: Updating config hash for heat_api, config_volume=heat_api hash=996cd04082f774b5e65ba47c4f4971df\n2017-06-30 09:12:37,949 DEBUG: Updating config hash for cinder_api, config_volume=cinder hash=a8e2c9558c44d603380e0e68e353ae04\n2017-06-30 09:12:37,949 DEBUG: Updating config hash for swift_proxy, config_volume=swift hash=450eafbeb9839a9ab852fe351476f001\n2017-06-30 09:12:37,950 DEBUG: Updating config hash for neutron_dhcp, config_volume=neutron hash=a8cada88997ba7a77869d19bd08a8e13\n2017-06-30 09:12:37,950 DEBUG: Updating config hash for gnocchi_api, config_volume=gnocchi hash=757d377771cfe3b452fb2b5f1ae7a0ec\n2017-06-30 09:12:37,950 DEBUG: Updating config hash for swift_object_auditor, config_volume=swift hash=450eafbeb9839a9ab852fe351476f001\n2017-06-30 09:12:37,950 DEBUG: Updating config hash for swift_account_replicator, config_volume=swift hash=450eafbeb9839a9ab852fe351476f001\n2017-06-30 09:12:37,950 DEBUG: Updating config hash for ceilometer_agent_central, config_volume=ceilometer hash=b2ef982ce3acf4eefffc560ed8158ff4\n2017-06-30 09:12:37,950 DEBUG: Updating config hash for neutron_metadata_agent, config_volume=neutron hash=a8cada88997ba7a77869d19bd08a8e13\n2017-06-30 09:12:37,951 DEBUG: Updating config hash for aodh_notifier, config_volume=aodh hash=c19d3bfd95b7134c11573a432826d31b\n2017-06-30 09:12:37,951 DEBUG: Updating config hash for gnocchi_statsd, config_volume=gnocchi hash=757d377771cfe3b452fb2b5f1ae7a0ec\n2017-06-30 09:12:37,951 DEBUG: Updating config hash for nova_consoleauth, config_volume=nova hash=6ea8bd5b880cae08fd0e5f2e91f91c87\n2017-06-30 09:12:37,951 DEBUG: Updating config hash for glance_api, config_volume=glance_api hash=eac80366ed445b05ba10c83a3c4715a6\n2017-06-30 09:12:37,951 DEBUG: Updating config hash for swift_account_reaper, config_volume=swift hash=450eafbeb9839a9ab852fe351476f001\n2017-06-30 09:12:37,951 DEBUG: Updating config hash for ceilometer_agent_notification, config_volume=ceilometer hash=b2ef982ce3acf4eefffc560ed8158ff4\n2017-06-30 09:12:37,952 DEBUG: Updating config hash for nova_vnc_proxy, config_volume=nova hash=6ea8bd5b880cae08fd0e5f2e91f91c87\n2017-06-30 09:12:37,952 DEBUG: Updating config hash for nova_api, config_volume=nova hash=6ea8bd5b880cae08fd0e5f2e91f91c87\n2017-06-30 09:12:37,952 DEBUG: Updating config hash for aodh_api, config_volume=aodh hash=c19d3bfd95b7134c11573a432826d31b\n2017-06-30 09:12:37,952 DEBUG: Updating config hash for heat_engine, config_volume=heat hash=91f4ff6144fb9c99b8257024bea9aa34\n2017-06-30 09:12:37,952 DEBUG: Updating config hash for swift_container_server, config_volume=swift hash=450eafbeb9839a9ab852fe351476f001\n2017-06-30 09:12:37,952 DEBUG: Updating config hash for swift_object_replicator, config_volume=swift hash=450eafbeb9839a9ab852fe351476f001\n2017-06-30 09:12:37,952 DEBUG: Updating config hash for neutron_l3_agent, config_volume=neutron hash=a8cada88997ba7a77869d19bd08a8e13\n2017-06-30 09:12:37,953 DEBUG: Updating config hash for cinder_scheduler, config_volume=cinder hash=a8e2c9558c44d603380e0e68e353ae04\n2017-06-30 09:12:37,953 DEBUG: Updating config hash for gnocchi_metricd, config_volume=gnocchi hash=757d377771cfe3b452fb2b5f1ae7a0ec\n2017-06-30 09:12:37,953 DEBUG: Updating config hash for nova_conductor, config_volume=nova hash=6ea8bd5b880cae08fd0e5f2e91f91c87\n2017-06-30 09:12:37,953 DEBUG: Updating config hash for heat_api_cfn, config_volume=heat_api_cfn hash=52312fe4d60437dfa83db0ebbec1b984\n2017-06-30 09:12:37,953 DEBUG: Updating config hash for neutron_ovs_agent, config_volume=neutron hash=a8cada88997ba7a77869d19bd08a8e13\n2017-06-30 09:12:37,953 DEBUG: Updating config hash for swift_account_auditor, config_volume=swift hash=450eafbeb9839a9ab852fe351476f001\n2017-06-30 09:12:37,954 DEBUG: Updating config hash for swift_container_replicator, config_volume=swift hash=450eafbeb9839a9ab852fe351476f001\n2017-06-30 09:12:37,954 DEBUG: Updating config hash for swift_object_updater, config_volume=swift hash=450eafbeb9839a9ab852fe351476f001\n2017-06-30 09:12:37,954 DEBUG: Updating config hash for swift_object_expirer, config_volume=swift hash=450eafbeb9839a9ab852fe351476f001\n2017-06-30 09:12:37,954 DEBUG: Updating config hash for swift_container_auditor, config_volume=swift hash=450eafbeb9839a9ab852fe351476f001\n2017-06-30 09:12:37,954 DEBUG: Updating config hash for panko_api, config_volume=panko hash=102f12a07c8235711540e0ca60ddce94\n2017-06-30 09:12:37,954 DEBUG: Updating config hash for aodh_listener, config_volume=aodh hash=c19d3bfd95b7134c11573a432826d31b\n2017-06-30 09:12:37,954 DEBUG: Updating config hash for neutron_api, config_volume=neutron hash=a8cada88997ba7a77869d19bd08a8e13\n2017-06-30 09:12:37,955 DEBUG: Updating config hash for swift_account_server, config_volume=swift hash=450eafbeb9839a9ab852fe351476f001", "stdout_lines": ["2017-06-30 09:12:28,539 INFO: Running docker-puppet", "2017-06-30 09:12:28,539 DEBUG: CONFIG: /var/lib/docker-puppet/docker-puppet-tasks2.json", "2017-06-30 09:12:28,540 DEBUG: config_volume mongodb_init_tasks", "2017-06-30 09:12:28,540 DEBUG: puppet_tags mongodb_database,mongodb_user,mongodb_replset", "2017-06-30 09:12:28,540 DEBUG: manifest include ::tripleo::profile::base::database::mongodb", "2017-06-30 09:12:28,540 DEBUG: config_image docker-registry.engineering.redhat.com/rhosp12/openstack-mongodb-docker:2017-06-27.2", "2017-06-30 09:12:28,540 DEBUG: volumes [u'/var/lib/mongodb:/var/lib/mongodb', u'/var/log/containers/mongodb:/var/log/mongodb']", "2017-06-30 09:12:28,540 INFO: Adding new service", "2017-06-30 09:12:28,540 DEBUG: config_volume mysql_init_tasks", "2017-06-30 09:12:28,540 DEBUG: puppet_tags mysql_database,mysql_grant,mysql_user", "2017-06-30 09:12:28,540 DEBUG: manifest include ::tripleo::profile::base::database::mysql", "2017-06-30 09:12:28,540 DEBUG: config_image docker-registry.engineering.redhat.com/rhosp12/openstack-mariadb-docker:2017-06-27.2", "2017-06-30 09:12:28,541 DEBUG: volumes [u'/var/lib/mysql:/var/lib/mysql/:ro', u'/var/log/containers/mysql:/var/log/mariadb', u'/var/lib/config-data/mysql/root:/root:ro']", "2017-06-30 09:12:28,541 INFO: Adding new service", "2017-06-30 09:12:28,541 INFO: Service compilation completed.", "2017-06-30 09:12:28,541 DEBUG: - [u'mysql_init_tasks', u'file,file_line,concat,augeas,mysql_database,mysql_grant,mysql_user', u'include ::tripleo::profile::base::database::mysql', u'docker-registry.engineering.redhat.com/rhosp12/openstack-mariadb-docker:2017-06-27.2', [u'/var/lib/mysql:/var/lib/mysql/:ro', u'/var/log/containers/mysql:/var/log/mariadb', u'/var/lib/config-data/mysql/root:/root:ro']]", "2017-06-30 09:12:28,541 DEBUG: - [u'mongodb_init_tasks', u'file,file_line,concat,augeas,mongodb_database,mongodb_user,mongodb_replset', u'include ::tripleo::profile::base::database::mongodb', u'docker-registry.engineering.redhat.com/rhosp12/openstack-mongodb-docker:2017-06-27.2', [u'/var/lib/mongodb:/var/lib/mongodb', u'/var/log/containers/mongodb:/var/log/mongodb']]", "2017-06-30 09:12:28,553 DEBUG: config_volume mysql_init_tasks", "2017-06-30 09:12:28,554 DEBUG: config_volume mongodb_init_tasks", "2017-06-30 09:12:28,554 DEBUG: puppet_tags file,file_line,concat,augeas,mysql_database,mysql_grant,mysql_user", "2017-06-30 09:12:28,554 DEBUG: manifest include ::tripleo::profile::base::database::mysql", "2017-06-30 09:12:28,554 DEBUG: puppet_tags file,file_line,concat,augeas,mongodb_database,mongodb_user,mongodb_replset", "2017-06-30 09:12:28,554 DEBUG: config_image docker-registry.engineering.redhat.com/rhosp12/openstack-mariadb-docker:2017-06-27.2", "2017-06-30 09:12:28,554 DEBUG: manifest include ::tripleo::profile::base::database::mongodb", "2017-06-30 09:12:28,554 DEBUG: volumes [u'/var/lib/mysql:/var/lib/mysql/:ro', u'/var/log/containers/mysql:/var/log/mariadb', u'/var/lib/config-data/mysql/root:/root:ro']", "2017-06-30 09:12:28,554 DEBUG: config_image docker-registry.engineering.redhat.com/rhosp12/openstack-mongodb-docker:2017-06-27.2", "2017-06-30 09:12:28,554 DEBUG: volumes [u'/var/lib/mongodb:/var/lib/mongodb', u'/var/log/containers/mongodb:/var/log/mongodb']", "2017-06-30 09:12:28,555 INFO: Removing container: docker-puppet-mysql_init_tasks", "2017-06-30 09:12:28,555 INFO: Removing container: docker-puppet-mongodb_init_tasks", "2017-06-30 09:12:28,572 INFO: Pulling image: docker-registry.engineering.redhat.com/rhosp12/openstack-mongodb-docker:2017-06-27.2", "2017-06-30 09:12:28,574 INFO: Pulling image: docker-registry.engineering.redhat.com/rhosp12/openstack-mariadb-docker:2017-06-27.2", "2017-06-30 09:12:28,800 DEBUG: Trying to pull repository docker-registry.engineering.redhat.com/rhosp12/openstack-mariadb-docker ... ", "2017-06-27.2: Pulling from docker-registry.engineering.redhat.com/rhosp12/openstack-mariadb-docker", "d54f13d5264d: Already exists", "1ebf49bc2042: Already exists", "8a168c68395f: Already exists", "b3bd83e666e0: Already exists", "Digest: sha256:dc74bd7d1063f6c1031b0f3c644195ca766283a856cc523144c94954a70906ea", "", "2017-06-30 09:12:28,803 DEBUG: NET_HOST enabled", "2017-06-30 09:12:28,803 DEBUG: Running docker command: /usr/bin/docker run --user root --name docker-puppet-mysql_init_tasks --env PUPPET_TAGS=file,file_line,concat,augeas,mysql_database,mysql_grant,mysql_user --env NAME=mysql_init_tasks --env HOSTNAME=controller-0 --env NO_ARCHIVE=true --env STEP=2 --volume /tmp/tmpd4ycR6:/etc/config.pp:ro --volume /etc/puppet/:/tmp/puppet-etc/:ro --volume /usr/share/openstack-puppet/modules/:/usr/share/openstack-puppet/modules/:ro --volume /var/lib/config-data/:/var/lib/config-data/:rw --volume tripleo_logs:/var/log/tripleo/ --volume /etc/pki/ca-trust/extracted:/etc/pki/ca-trust/extracted:ro --volume /etc/pki/tls/certs/ca-bundle.crt:/etc/pki/tls/certs/ca-bundle.crt:ro --volume /etc/pki/tls/certs/ca-bundle.trust.crt:/etc/pki/tls/certs/ca-bundle.trust.crt:ro --volume /etc/pki/tls/cert.pem:/etc/pki/tls/cert.pem:ro --volume /var/lib/docker-puppet/docker-puppet.sh:/var/lib/docker-puppet/docker-puppet.sh:rw --volume /var/lib/mysql:/var/lib/mysql/:ro --volume /var/log/containers/mysql:/var/log/mariadb --volume /var/lib/config-data/mysql/root:/root:ro --entrypoint /var/lib/docker-puppet/docker-puppet.sh --net host --volume /etc/hosts:/etc/hosts:ro docker-registry.engineering.redhat.com/rhosp12/openstack-mariadb-docker:2017-06-27.2", "2017-06-30 09:12:28,809 DEBUG: Trying to pull repository docker-registry.engineering.redhat.com/rhosp12/openstack-mongodb-docker ... ", "2017-06-27.2: Pulling from docker-registry.engineering.redhat.com/rhosp12/openstack-mongodb-docker", "d54f13d5264d: Already exists", "1ebf49bc2042: Already exists", "8a168c68395f: Already exists", "2b7a3440acb0: Already exists", "Digest: sha256:cf3138106a6345fd25d93e461b190891842e8ac17a54b3f0a4eac1164e53e66a", "", "2017-06-30 09:12:28,811 DEBUG: NET_HOST enabled", "2017-06-30 09:12:28,812 DEBUG: Running docker command: /usr/bin/docker run --user root --name docker-puppet-mongodb_init_tasks --env PUPPET_TAGS=file,file_line,concat,augeas,mongodb_database,mongodb_user,mongodb_replset --env NAME=mongodb_init_tasks --env HOSTNAME=controller-0 --env NO_ARCHIVE=true --env STEP=2 --volume /tmp/tmpg3Yiwk:/etc/config.pp:ro --volume /etc/puppet/:/tmp/puppet-etc/:ro --volume /usr/share/openstack-puppet/modules/:/usr/share/openstack-puppet/modules/:ro --volume /var/lib/config-data/:/var/lib/config-data/:rw --volume tripleo_logs:/var/log/tripleo/ --volume /etc/pki/ca-trust/extracted:/etc/pki/ca-trust/extracted:ro --volume /etc/pki/tls/certs/ca-bundle.crt:/etc/pki/tls/certs/ca-bundle.crt:ro --volume /etc/pki/tls/certs/ca-bundle.trust.crt:/etc/pki/tls/certs/ca-bundle.trust.crt:ro --volume /etc/pki/tls/cert.pem:/etc/pki/tls/cert.pem:ro --volume /var/lib/docker-puppet/docker-puppet.sh:/var/lib/docker-puppet/docker-puppet.sh:rw --volume /var/lib/mongodb:/var/lib/mongodb --volume /var/log/containers/mongodb:/var/log/mongodb --entrypoint /var/lib/docker-puppet/docker-puppet.sh --net host --volume /etc/hosts:/etc/hosts:ro docker-registry.engineering.redhat.com/rhosp12/openstack-mongodb-docker:2017-06-27.2", "2017-06-30 09:12:35,339 DEBUG: \u001b[0;32mInfo: Loading facts\u001b[0m", "\u001b[0;32mInfo: Loading facts\u001b[0m", "\u001b[0;32mInfo: Loading facts\u001b[0m", "\u001b[0;32mInfo: Loading facts\u001b[0m", "\u001b[0;32mInfo: Loading facts\u001b[0m", "\u001b[0;32mInfo: Loading facts\u001b[0m", "\u001b[0;32mInfo: Loading facts\u001b[0m", "\u001b[0;32mInfo: Loading facts\u001b[0m", "\u001b[0;32mInfo: Loading facts\u001b[0m", "\u001b[0;32mInfo: Loading facts\u001b[0m", "\u001b[0;32mInfo: Loading facts\u001b[0m", "\u001b[0;32mInfo: Loading facts\u001b[0m", "\u001b[0;32mInfo: Loading facts\u001b[0m", "\u001b[0;32mInfo: Loading facts\u001b[0m", "\u001b[0;32mInfo: Loading facts\u001b[0m", "\u001b[0;32mInfo: Loading facts\u001b[0m", "\u001b[0;32mInfo: Loading facts\u001b[0m", "\u001b[0;32mInfo: Loading facts\u001b[0m", "\u001b[0;32mInfo: Loading facts\u001b[0m", "\u001b[0;32mInfo: Loading facts\u001b[0m", "\u001b[0;32mInfo: Loading facts\u001b[0m", "\u001b[0;32mInfo: Loading facts\u001b[0m", "\u001b[0;32mInfo: Loading facts\u001b[0m", "\u001b[mNotice: hiera(): Cannot load backend module_data: cannot load such file -- hiera/backend/module_data_backend\u001b[0m", "\u001b[mNotice: hiera(): Cannot load backend module_data: cannot load such file -- hiera/backend/module_data_backend\u001b[0m", "\u001b[mNotice: Compiled catalog for controller-0.localdomain in environment production in 0.83 seconds\u001b[0m", "\u001b[0;32mInfo: Applying configuration version '1498813954'\u001b[0m", "\u001b[0;32mInfo: Computing checksum on file /etc/mongod.conf\u001b[0m", "\u001b[0;32mInfo: /Stage[main]/Mongodb::Server::Config/File[/etc/mongod.conf]: Filebucketed /etc/mongod.conf to puppet with sum c9466bad2ec40e2613630b7d49d58b2b\u001b[0m", "\u001b[mNotice: /Stage[main]/Mongodb::Server::Config/File[/etc/mongod.conf]/content: content changed '{md5}c9466bad2ec40e2613630b7d49d58b2b' to '{md5}7e9669c2c33723c5964b91df0e1b4755'\u001b[0m", "\u001b[mNotice: /Stage[main]/Mongodb::Server::Config/File[/var/run/mongodb/mongod.pid]/ensure: created\u001b[0m", "\u001b[0;32mInfo: Class[Mongodb::Server::Config]: Unscheduling all events on Class[Mongodb::Server::Config]\u001b[0m", "\u001b[mNotice: /Stage[main]/Tripleo::Profile::Base::Database::Mongodb/Systemd::Service_limits[mongod.service]/File[/etc/systemd/system/mongod.service.d/]/ensure: created\u001b[0m", "\u001b[mNotice: /Stage[main]/Tripleo::Profile::Base::Database::Mongodb/Systemd::Service_limits[mongod.service]/File[/etc/systemd/system/mongod.service.d/limits.conf]/ensure: defined content as '{md5}5c81d0af88ac88fa15ef89c324144802'\u001b[0m", "\u001b[0;32mInfo: /Stage[main]/Tripleo::Profile::Base::Database::Mongodb/Systemd::Service_limits[mongod.service]/File[/etc/systemd/system/mongod.service.d/limits.conf]: Scheduling refresh of Exec[systemctl-daemon-reload]\u001b[0m", "\u001b[0;32mInfo: /Stage[main]/Tripleo::Profile::Base::Database::Mongodb/Systemd::Service_limits[mongod.service]/File[/etc/systemd/system/mongod.service.d/limits.conf]: Scheduling refresh of Exec[systemctl restart mongod.service]\u001b[0m", "\u001b[0;32mInfo: /Stage[main]/Systemd/Exec[systemctl-daemon-reload]: Unscheduling all events on Exec[systemctl-daemon-reload]\u001b[0m", "\u001b[0;32mInfo: /Stage[main]/Tripleo::Profile::Base::Database::Mongodb/Systemd::Service_limits[mongod.service]/Exec[systemctl restart mongod.service]: Unscheduling all events on Exec[systemctl restart mongod.service]\u001b[0m", "\u001b[0;32mInfo: Systemd::Service_limits[mongod.service]: Unscheduling all events on Systemd::Service_limits[mongod.service]\u001b[0m", "\u001b[0;32mInfo: Creating state file /var/lib/puppet/state/state.yaml\u001b[0m", "\u001b[mNotice: Applied catalog in 0.16 seconds\u001b[0m", "", "2017-06-30 09:12:35,339 DEBUG: + mkdir -p /etc/puppet", "+ cp -a /tmp/puppet-etc/auth.conf /tmp/puppet-etc/hiera.yaml /tmp/puppet-etc/hieradata /tmp/puppet-etc/modules /tmp/puppet-etc/puppet.conf /tmp/puppet-etc/ssl /etc/puppet", "+ rm -Rf /etc/puppet/ssl", "+ echo '{\"step\": 2}'", "+ TAGS=", "+ '[' -n file,file_line,concat,augeas,mongodb_database,mongodb_user,mongodb_replset ']'", "+ TAGS='--tags file,file_line,concat,augeas,mongodb_database,mongodb_user,mongodb_replset'", "+ mkdir -p /etc/ssh", "+ touch /etc/ssh/ssh_known_hosts", "+ FACTER_hostname=controller-0", "+ FACTER_uuid=docker", "+ /usr/bin/puppet apply --verbose --tags file,file_line,concat,augeas,mongodb_database,mongodb_user,mongodb_replset /etc/config.pp", "Failed to get D-Bus connection: Operation not permitted", "exception: connect failed", "\u001b[1;33mWarning: Undefined variable 'deploy_config_name'; ", "   (file & line not available)\u001b[0m", "\u001b[1;33mWarning: ModuleLoader: module 'mongodb' has unresolved dependencies - it will only see those that are resolved. Use 'puppet module list --tree' to see information about modules", "   (file & line not available)\u001b[0m", "\u001b[1;33mWarning: Scope(Class[Mongodb::Server]): Replset specified, but no replset_members or replset_config provided.\u001b[0m", "\u001b[1;33mWarning: This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Hash. There is further documentation for validate_legacy function in the README. at [\"/etc/puppet/modules/systemd/manifests/service_limits.pp\", 13]:", "   (at /etc/puppet/modules/stdlib/lib/puppet/functions/deprecation.rb:25:in `deprecation')\u001b[0m", "+ '[' -z true ']'", "", "2017-06-30 09:12:35,339 INFO: Removing container: docker-puppet-mongodb_init_tasks", "2017-06-30 09:12:35,371 DEBUG: docker-puppet-mongodb_init_tasks", "", "2017-06-30 09:12:37,936 DEBUG: \u001b[0;32mInfo: Loading facts\u001b[0m", "\u001b[0;32mInfo: Loading facts\u001b[0m", "\u001b[0;32mInfo: Loading facts\u001b[0m", "\u001b[0;32mInfo: Loading facts\u001b[0m", "\u001b[0;32mInfo: Loading facts\u001b[0m", "\u001b[0;32mInfo: Loading facts\u001b[0m", "\u001b[0;32mInfo: Loading facts\u001b[0m", "\u001b[0;32mInfo: Loading facts\u001b[0m", "\u001b[0;32mInfo: Loading facts\u001b[0m", "\u001b[0;32mInfo: Loading facts\u001b[0m", "\u001b[0;32mInfo: Loading facts\u001b[0m", "\u001b[0;32mInfo: Loading facts\u001b[0m", "\u001b[0;32mInfo: Loading facts\u001b[0m", "\u001b[0;32mInfo: Loading facts\u001b[0m", "\u001b[0;32mInfo: Loading facts\u001b[0m", "\u001b[0;32mInfo: Loading facts\u001b[0m", "\u001b[0;32mInfo: Loading facts\u001b[0m", "\u001b[0;32mInfo: Loading facts\u001b[0m", "\u001b[0;32mInfo: Loading facts\u001b[0m", "\u001b[0;32mInfo: Loading facts\u001b[0m", "\u001b[0;32mInfo: Loading facts\u001b[0m", "\u001b[0;32mInfo: Loading facts\u001b[0m", "\u001b[0;32mInfo: Loading facts\u001b[0m", "\u001b[mNotice: hiera(): Cannot load backend module_data: cannot load such file -- hiera/backend/module_data_backend\u001b[0m", "\u001b[mNotice: hiera(): Cannot load backend module_data: cannot load such file -- hiera/backend/module_data_backend\u001b[0m", "\u001b[mNotice: Compiled catalog for controller-0.localdomain in environment production in 3.39 seconds\u001b[0m", "\u001b[0;32mInfo: Applying configuration version '1498813953'\u001b[0m", "\u001b[0;32mInfo: Computing checksum on file /etc/my.cnf.d/galera.cnf\u001b[0m", "\u001b[0;32mInfo: /Stage[main]/Mysql::Server::Config/File[mysql-config-file]: Filebucketed /etc/my.cnf.d/galera.cnf to puppet with sum f434e1d5766874c7b9ed08d0c66904ca\u001b[0m", "\u001b[mNotice: /Stage[main]/Mysql::Server::Config/File[mysql-config-file]/content: content changed '{md5}f434e1d5766874c7b9ed08d0c66904ca' to '{md5}c4725663b4db84ba8f53e3a39b4a9422'\u001b[0m", "\u001b[0;32mInfo: Class[Mysql::Server::Config]: Unscheduling all events on Class[Mysql::Server::Config]\u001b[0m", "\u001b[0;32mInfo: Creating state file /var/lib/puppet/state/state.yaml\u001b[0m", "", "2017-06-30 09:12:37,936 DEBUG: + mkdir -p /etc/puppet", "+ cp -a /tmp/puppet-etc/auth.conf /tmp/puppet-etc/hiera.yaml /tmp/puppet-etc/hieradata /tmp/puppet-etc/modules /tmp/puppet-etc/puppet.conf /tmp/puppet-etc/ssl /etc/puppet", "+ rm -Rf /etc/puppet/ssl", "+ echo '{\"step\": 2}'", "+ TAGS=", "+ '[' -n file,file_line,concat,augeas,mysql_database,mysql_grant,mysql_user ']'", "+ TAGS='--tags file,file_line,concat,augeas,mysql_database,mysql_grant,mysql_user'", "+ mkdir -p /etc/ssh", "+ touch /etc/ssh/ssh_known_hosts", "+ FACTER_hostname=controller-0", "+ FACTER_uuid=docker", "+ /usr/bin/puppet apply --verbose --tags file,file_line,concat,augeas,mysql_database,mysql_grant,mysql_user /etc/config.pp", "Failed to get D-Bus connection: Operation not permitted", "\u001b[1;33mWarning: Undefined variable 'deploy_config_name'; ", "   (file & line not available)\u001b[0m", "\u001b[1;33mWarning: This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Hash. There is further documentation for validate_legacy function in the README. at [\"/etc/puppet/modules/tripleo/manifests/profile/base/database/mysql.pp\", 92]:[\"/etc/config.pp\", 2]", "   (at /etc/puppet/modules/stdlib/lib/puppet/functions/deprecation.rb:25:in `deprecation')\u001b[0m", "\u001b[1;33mWarning: ModuleLoader: module 'mysql' has unresolved dependencies - it will only see those that are resolved. Use 'puppet module list --tree' to see information about modules", "   (file & line not available)\u001b[0m", "\u001b[1;33mWarning: This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::String. There is further documentation for validate_legacy function in the README. at [\"/etc/puppet/modules/aodh/manifests/db/mysql.pp\", 58]:[\"/etc/puppet/modules/tripleo/manifests/profile/base/database/mysql.pp\", 157]", "   (at /etc/puppet/modules/stdlib/lib/puppet/functions/deprecation.rb:25:in `deprecation')\u001b[0m", "\u001b[1;33mWarning: Unknown variable: '::nova::db::mysql_api::setup_cell0'. at /etc/puppet/modules/nova/manifests/db/mysql.pp:53:28\u001b[0m", "\u001b[1;33mWarning: ModuleLoader: module 'openstacklib' has unresolved dependencies - it will only see those that are resolved. Use 'puppet module list --tree' to see information about modules", "   (file & line not available)\u001b[0m", "\u001b[1;33mWarning: This method is deprecated, please use the stdlib validate_legacy function, with Pattern[]. There is further documentation for validate_legacy function in the README. at [\"/etc/puppet/modules/openstacklib/manifests/db/mysql/host_access.pp\", 43]:", "   (at /etc/puppet/modules/stdlib/lib/puppet/functions/deprecation.rb:25:in `deprecation')\u001b[0m", "\u001b[1;31mError: Failed to apply catalog: Execution of '/usr/bin/mysql --defaults-extra-file=/root/.my.cnf -NBe SELECT CONCAT(User, '@',Host) AS User FROM mysql.user' returned 1: ERROR 2013 (HY000): Lost connection to MySQL server at 'reading initial communication packet', system error: 104\u001b[0m", "", "2017-06-30 09:12:37,936 ERROR: Failed running docker-puppet.py for mysql_init_tasks", "2017-06-30 09:12:37,937 ERROR: ERROR configuring mysql_init_tasks", "2017-06-30 09:12:37,937 DEBUG: CONFIG_VOLUME_PREFIX: /var/lib/config-data", "2017-06-30 09:12:37,938 DEBUG: STARTUP_CONFIG_PATTERN: /var/lib/tripleo-config/docker-container-startup-config-step_*.json", "2017-06-30 09:12:37,939 DEBUG: Updating config hash for redis, config_volume=redis hash=f89820a28dde6454aca40eb7bd4157cb", "2017-06-30 09:12:37,940 DEBUG: Updating config hash for rabbitmq, config_volume=rabbitmq hash=bea3a2bdc61aced9918882174fe369a7", "2017-06-30 09:12:37,940 DEBUG: Updating config hash for memcached_init_logs, config_volume=memcached hash=5d129fec1e7d9ba199e8caa09976b4cd", "2017-06-30 09:12:37,940 DEBUG: Updating config hash for rabbitmq_bootstrap, config_volume=rabbitmq hash=bea3a2bdc61aced9918882174fe369a7", "2017-06-30 09:12:37,940 DEBUG: Updating config hash for memcached, config_volume=memcached hash=5d129fec1e7d9ba199e8caa09976b4cd", "2017-06-30 09:12:37,942 DEBUG: Updating config hash for nova_placement, config_volume=nova_placement hash=b6781503744c4cf19907438e01d6fc97", "2017-06-30 09:12:37,942 DEBUG: Updating config hash for aodh_db_sync, config_volume=aodh hash=c19d3bfd95b7134c11573a432826d31b", "2017-06-30 09:12:37,942 DEBUG: Updating config hash for nova_db_sync, config_volume=nova hash=6ea8bd5b880cae08fd0e5f2e91f91c87", "2017-06-30 09:12:37,942 DEBUG: Updating config hash for heat_engine_db_sync, config_volume=heat hash=91f4ff6144fb9c99b8257024bea9aa34", "2017-06-30 09:12:37,942 DEBUG: Updating config hash for cinder_api_db_sync, config_volume=cinder hash=a8e2c9558c44d603380e0e68e353ae04", "2017-06-30 09:12:37,942 DEBUG: Updating config hash for nova_api_map_cell0, config_volume=nova hash=6ea8bd5b880cae08fd0e5f2e91f91c87", "2017-06-30 09:12:37,943 DEBUG: Updating config hash for glance_api_db_sync, config_volume=glance_api hash=eac80366ed445b05ba10c83a3c4715a6", "2017-06-30 09:12:37,943 DEBUG: Updating config hash for keystone_db_sync, config_volume=keystone hash=77afe4285368405fc13026b20c3d0820", "2017-06-30 09:12:37,943 DEBUG: Updating config hash for panko_db_sync, config_volume=panko hash=102f12a07c8235711540e0ca60ddce94", "2017-06-30 09:12:37,943 DEBUG: Updating config hash for keystone, config_volume=keystone hash=77afe4285368405fc13026b20c3d0820", "2017-06-30 09:12:37,943 DEBUG: Updating config hash for nova_api_db_sync, config_volume=nova hash=6ea8bd5b880cae08fd0e5f2e91f91c87", "2017-06-30 09:12:37,943 DEBUG: Updating config hash for horizon, config_volume=horizon hash=04f75fe86bda4d6b60e516d991896690", "2017-06-30 09:12:37,944 DEBUG: Updating config hash for nova_api_create_default_cell, config_volume=nova hash=6ea8bd5b880cae08fd0e5f2e91f91c87", "2017-06-30 09:12:37,944 DEBUG: Updating config hash for gnocchi_db_sync, config_volume=gnocchi hash=757d377771cfe3b452fb2b5f1ae7a0ec", "2017-06-30 09:12:37,944 DEBUG: Updating config hash for neutron_db_sync, config_volume=neutron hash=a8cada88997ba7a77869d19bd08a8e13", "2017-06-30 09:12:37,945 DEBUG: Updating config hash for mongodb, config_volume=mongodb hash=adb88719e8421d9e1519942cafb204e0", "2017-06-30 09:12:37,946 DEBUG: Updating config hash for mysql, config_volume=mysql hash=8e4e0405c57aa8531b9dbb5e777dbbb4", "2017-06-30 09:12:37,946 DEBUG: Updating config hash for mysql_bootstrap, config_volume=mysql hash=8e4e0405c57aa8531b9dbb5e777dbbb4", "2017-06-30 09:12:37,946 DEBUG: Updating config hash for horizon_fix_perms, config_volume=horizon hash=04f75fe86bda4d6b60e516d991896690", "2017-06-30 09:12:37,947 DEBUG: Updating config hash for nova_api_discover_hosts, config_volume=nova hash=6ea8bd5b880cae08fd0e5f2e91f91c87", "2017-06-30 09:12:37,947 DEBUG: Updating config hash for ceilometer_gnocchi_upgrade, config_volume=ceilometer hash=b2ef982ce3acf4eefffc560ed8158ff4", "2017-06-30 09:12:37,948 DEBUG: Updating config hash for aodh_evaluator, config_volume=aodh hash=c19d3bfd95b7134c11573a432826d31b", "2017-06-30 09:12:37,949 DEBUG: Updating config hash for swift_container_updater, config_volume=swift hash=450eafbeb9839a9ab852fe351476f001", "2017-06-30 09:12:37,949 DEBUG: Updating config hash for nova_scheduler, config_volume=nova hash=6ea8bd5b880cae08fd0e5f2e91f91c87", "2017-06-30 09:12:37,949 DEBUG: Updating config hash for swift_object_server, config_volume=swift hash=450eafbeb9839a9ab852fe351476f001", "2017-06-30 09:12:37,949 DEBUG: Updating config hash for heat_api, config_volume=heat_api hash=996cd04082f774b5e65ba47c4f4971df", "2017-06-30 09:12:37,949 DEBUG: Updating config hash for cinder_api, config_volume=cinder hash=a8e2c9558c44d603380e0e68e353ae04", "2017-06-30 09:12:37,949 DEBUG: Updating config hash for swift_proxy, config_volume=swift hash=450eafbeb9839a9ab852fe351476f001", "2017-06-30 09:12:37,950 DEBUG: Updating config hash for neutron_dhcp, config_volume=neutron hash=a8cada88997ba7a77869d19bd08a8e13", "2017-06-30 09:12:37,950 DEBUG: Updating config hash for gnocchi_api, config_volume=gnocchi hash=757d377771cfe3b452fb2b5f1ae7a0ec", "2017-06-30 09:12:37,950 DEBUG: Updating config hash for swift_object_auditor, config_volume=swift hash=450eafbeb9839a9ab852fe351476f001", "2017-06-30 09:12:37,950 DEBUG: Updating config hash for swift_account_replicator, config_volume=swift hash=450eafbeb9839a9ab852fe351476f001", "2017-06-30 09:12:37,950 DEBUG: Updating config hash for ceilometer_agent_central, config_volume=ceilometer hash=b2ef982ce3acf4eefffc560ed8158ff4", "2017-06-30 09:12:37,950 DEBUG: Updating config hash for neutron_metadata_agent, config_volume=neutron hash=a8cada88997ba7a77869d19bd08a8e13", "2017-06-30 09:12:37,951 DEBUG: Updating config hash for aodh_notifier, config_volume=aodh hash=c19d3bfd95b7134c11573a432826d31b", "2017-06-30 09:12:37,951 DEBUG: Updating config hash for gnocchi_statsd, config_volume=gnocchi hash=757d377771cfe3b452fb2b5f1ae7a0ec", "2017-06-30 09:12:37,951 DEBUG: Updating config hash for nova_consoleauth, config_volume=nova hash=6ea8bd5b880cae08fd0e5f2e91f91c87", "2017-06-30 09:12:37,951 DEBUG: Updating config hash for glance_api, config_volume=glance_api hash=eac80366ed445b05ba10c83a3c4715a6", "2017-06-30 09:12:37,951 DEBUG: Updating config hash for swift_account_reaper, config_volume=swift hash=450eafbeb9839a9ab852fe351476f001", "2017-06-30 09:12:37,951 DEBUG: Updating config hash for ceilometer_agent_notification, config_volume=ceilometer hash=b2ef982ce3acf4eefffc560ed8158ff4", "2017-06-30 09:12:37,952 DEBUG: Updating config hash for nova_vnc_proxy, config_volume=nova hash=6ea8bd5b880cae08fd0e5f2e91f91c87", "2017-06-30 09:12:37,952 DEBUG: Updating config hash for nova_api, config_volume=nova hash=6ea8bd5b880cae08fd0e5f2e91f91c87", "2017-06-30 09:12:37,952 DEBUG: Updating config hash for aodh_api, config_volume=aodh hash=c19d3bfd95b7134c11573a432826d31b", "2017-06-30 09:12:37,952 DEBUG: Updating config hash for heat_engine, config_volume=heat hash=91f4ff6144fb9c99b8257024bea9aa34", "2017-06-30 09:12:37,952 DEBUG: Updating config hash for swift_container_server, config_volume=swift hash=450eafbeb9839a9ab852fe351476f001", "2017-06-30 09:12:37,952 DEBUG: Updating config hash for swift_object_replicator, config_volume=swift hash=450eafbeb9839a9ab852fe351476f001", "2017-06-30 09:12:37,952 DEBUG: Updating config hash for neutron_l3_agent, config_volume=neutron hash=a8cada88997ba7a77869d19bd08a8e13", "2017-06-30 09:12:37,953 DEBUG: Updating config hash for cinder_scheduler, config_volume=cinder hash=a8e2c9558c44d603380e0e68e353ae04", "2017-06-30 09:12:37,953 DEBUG: Updating config hash for gnocchi_metricd, config_volume=gnocchi hash=757d377771cfe3b452fb2b5f1ae7a0ec", "2017-06-30 09:12:37,953 DEBUG: Updating config hash for nova_conductor, config_volume=nova hash=6ea8bd5b880cae08fd0e5f2e91f91c87", "2017-06-30 09:12:37,953 DEBUG: Updating config hash for heat_api_cfn, config_volume=heat_api_cfn hash=52312fe4d60437dfa83db0ebbec1b984", "2017-06-30 09:12:37,953 DEBUG: Updating config hash for neutron_ovs_agent, config_volume=neutron hash=a8cada88997ba7a77869d19bd08a8e13", "2017-06-30 09:12:37,953 DEBUG: Updating config hash for swift_account_auditor, config_volume=swift hash=450eafbeb9839a9ab852fe351476f001", "2017-06-30 09:12:37,954 DEBUG: Updating config hash for swift_container_replicator, config_volume=swift hash=450eafbeb9839a9ab852fe351476f001", "2017-06-30 09:12:37,954 DEBUG: Updating config hash for swift_object_updater, config_volume=swift hash=450eafbeb9839a9ab852fe351476f001", "2017-06-30 09:12:37,954 DEBUG: Updating config hash for swift_object_expirer, config_volume=swift hash=450eafbeb9839a9ab852fe351476f001", "2017-06-30 09:12:37,954 DEBUG: Updating config hash for swift_container_auditor, config_volume=swift hash=450eafbeb9839a9ab852fe351476f001", "2017-06-30 09:12:37,954 DEBUG: Updating config hash for panko_api, config_volume=panko hash=102f12a07c8235711540e0ca60ddce94", "2017-06-30 09:12:37,954 DEBUG: Updating config hash for aodh_listener, config_volume=aodh hash=c19d3bfd95b7134c11573a432826d31b", "2017-06-30 09:12:37,954 DEBUG: Updating config hash for neutron_api, config_volume=neutron hash=a8cada88997ba7a77869d19bd08a8e13", "2017-06-30 09:12:37,955 DEBUG: Updating config hash for swift_account_server, config_volume=swift hash=450eafbeb9839a9ab852fe351476f001"]}
    	to retry, use: --limit @/var/lib/heat-config/heat-config-ansible/68000f5f-df18-4ab5-b47b-04c1e25bfb6b_playbook.retry
    
    PLAY RECAP *********************************************************************
    localhost                  : ok=5    changed=2    unreachable=0    failed=1   
    
  deploy_stderr: |


Version-Release number of selected component (if applicable):
OSP12
openstack-nova-api-16.0.0-0.20170624031428.3863eca.el7ost.noarch
openstack-keystone-12.0.0-0.20170623233743.9070172.el7ost.noarch
openstack-ironic-inspector-5.1.1-0.20170622234613.05896b5.el7ost.noarch
puppet-openstack_extras-11.2.0-0.20170613085321.0b0ea62.el7ost.noarch
openstack-tripleo-common-containers-7.1.1-0.20170623115707.4ba7d56.el7ost.noarch
openstack-neutron-common-11.0.0-0.20170624003801.11acb1d.el7ost.noarch
openstack-neutron-11.0.0-0.20170624003801.11acb1d.el7ost.noarch
openstack-nova-compute-16.0.0-0.20170624031428.3863eca.el7ost.noarch
openstack-mistral-executor-5.0.0-0.20170623025911.6a1ca0f.el7ost.noarch
openstack-tempest-16.0.1-0.20170623203531.4386df8.el7ost.noarch
openstack-neutron-openvswitch-11.0.0-0.20170624003801.11acb1d.el7ost.noarch
openstack-nova-placement-api-16.0.0-0.20170624031428.3863eca.el7ost.noarch
openstack-heat-api-cfn-9.0.0-0.20170623110018.173f03a.el7ost.noarch
openstack-mistral-api-5.0.0-0.20170623025911.6a1ca0f.el7ost.noarch
openstack-ironic-api-8.0.1-0.20170621044433.f0e6a07.el7ost.noarch
python-openstack-mistral-5.0.0-0.20170623025911.6a1ca0f.el7ost.noarch
openstack-heat-common-9.0.0-0.20170623110018.173f03a.el7ost.noarch
openstack-tripleo-image-elements-7.0.0-0.20170607161959.401d861.el7ost.noarch
openstack-tripleo-puppet-elements-7.0.0-0.20170614005502.9285877.el7ost.noarch
openstack-swift-object-2.14.1-0.20170622024006.2d18ecd.el7ost.noarch
openstack-neutron-ml2-11.0.0-0.20170624003801.11acb1d.el7ost.noarch
openstack-glance-15.0.0-0.20170623215940.8188eca.el7ost.noarch
openstack-nova-scheduler-16.0.0-0.20170624031428.3863eca.el7ost.noarch
openstack-heat-engine-9.0.0-0.20170623110018.173f03a.el7ost.noarch
openstack-mistral-engine-5.0.0-0.20170623025911.6a1ca0f.el7ost.noarch
openstack-ironic-conductor-8.0.1-0.20170621044433.f0e6a07.el7ost.noarch
openstack-tripleo-common-7.1.1-0.20170623115707.4ba7d56.el7ost.noarch
python-openstackclient-3.11.0-0.20170613232431.c69304e.el7ost.noarch
openstack-ironic-common-8.0.1-0.20170621044433.f0e6a07.el7ost.noarch
openstack-swift-account-2.14.1-0.20170622024006.2d18ecd.el7ost.noarch
openstack-selinux-0.8.8-0.20170622195307.74ddc0e.el7ost.noarch
openstack-swift-container-2.14.1-0.20170622024006.2d18ecd.el7ost.noarch
openstack-nova-conductor-16.0.0-0.20170624031428.3863eca.el7ost.noarch
openstack-tripleo-validations-7.1.1-0.20170621111847.fb7346f.el7ost.noarch
openstack-tripleo-heat-templates-7.0.0-0.20170624014919.el7ost.noarch
puppet-openstacklib-11.2.0-0.20170613150439.93b8e7d.el7ost.noarch
python-openstacksdk-0.9.17-0.20170621195806.7946243.el7ost.noarch
openstack-swift-proxy-2.14.1-0.20170622024006.2d18ecd.el7ost.noarch
openstack-heat-api-9.0.0-0.20170623110018.173f03a.el7ost.noarch
openstack-zaqar-5.0.0-0.20170623003642.68eac5a.el7ost.noarch
openstack-tripleo-ui-7.1.1-0.20170624213423.cb896fd.el7ost.noarch
openstack-puppet-modules-10.0.0-1.el7ost.noarch
openstack-mistral-common-5.0.0-0.20170623025911.6a1ca0f.el7ost.noarch
openstack-nova-common-16.0.0-0.20170624031428.3863eca.el7ost.noarch


How reproducible:


Steps to Reproduce:
1.Install OSP11
infrared virsh -v --host-address 10.9.76.22 --host-key ~/.ssh/id_rsa --cleanup yes && infrared virsh -v --host-address 10.9.76.22 --host-key ~/.ssh/id_rsa  --topology-nodes undercloud:1,controller:1,compute:1  -e  override.controller.cpu=8 -e override.controller.memory=16384 -e  override.undercloud.disks.disk1.size=100G && infrared tripleo-undercloud --version 11 --images-task=rpm && infrared tripleo-overcloud -v --introspect yes --tagging yes --post no --deployment-files virt --version 11 --deploy yes 

2.Upgrade undercloud and overcloud to osp11 latest+ rhel7.4
ir tripleo-undercloud -v --update-undercloud yes --mirror qeos --build 7.4-testing --osrelease 7.4 

ir tripleo-overcloud -v --updateto 7.4-testing --deployment-files virt --mirror qeos --osrelease 7.4
#Please note, during yum update stage on overcloud controller run "sudo pcs cluster start and sudo pcs cleanup resources" - w/a for https://bugzilla.redhat.com/show_bug.cgi?id=1464588

3. Upgrade undercloud and overcloud to osp12
http://etherpad.corp.redhat.com/osp12-upgrade
#please note, before updating overcloud apply w/a for https://bugzilla.redhat.com/show_bug.cgi?id=1460421
https://bugzilla.redhat.com/show_bug.cgi?id=1463227
https://bugzilla.redhat.com/show_bug.cgi?id=1466219
https://bugzilla.redhat.com/show_bug.cgi?id=1466308
https://bugzilla.redhat.com/show_bug.cgi?id=1466345

Actual results:
overcloud upgrade failed

Expected results:
overcloud upgrade succeed

Additional info:
heat-admin@controller-0 ~]$ sudo docker logs docker-puppet-mysql_init_tasks
http://pastebin.test.redhat.com/499269

[heat-admin@controller-0 ~]$ sudo docker ps -a
http://pastebin.test.redhat.com/499268

mysql logs:
170630 09:12:28 mysqld_safe Logging to '/var/log/mariadb/mariadb.log'.
170630 09:12:28 mysqld_safe Starting mysqld daemon with databases from /var/lib/mysql
170630 09:12:28 mysqld_safe WSREP: Running position recovery with --log_error='/var/lib/mysql/wsrep_recovery.8zfZMu' --pid-file='/var/lib/mysql/controller-0.localdomain-recover.pid'
170630 09:12:37 mysqld_safe WSREP: Recovered position f633fe02-5c3f-11e7-8d1f-a3d7997fc7b9:50124
Comment 1 Red Hat Bugzilla Rules Engine 2017-06-30 05:40:19 EDT
This bugzilla has been removed from the release and needs to be reviewed and Triaged for another Target Release.
Comment 2 Carlos Camacho 2017-10-30 09:39:45 EDT
Tested and not reproducible

Note You need to log in before you can comment on or make changes to this bug.